Subject: [xml2rfc] working on a remote server
From: [email-masked] (Peter Saint-Andre)
Date: Fri, 31 May 2002 17:25:30 -0500 (CDT)

No, *my* bad. I had those lines commented out. :0

But Marshall and I figured out that there's an extraneous 'fi;' at the end
of line 4 in xml2rfc.tcl in version 1.12, so anyone using the script may
need to edit line 4 to get things working correctly.

Peter

--
Peter Saint-Andre
Jabber Software Foundation
http://www.jabber.org/people/stpeter.html

On Fri, 31 May 2002, Marshall Rose wrote:

> > I've got #!/bin/sh -- does this need to point to something else? How do I
> > determine where my TCL interpreter lives?
> 
> my bad. it should run unaltered on your unix system (so starting with "#!"
> is just fine).
> 
> the question is why your shell sees this:
> 
> #!/bin/sh
> # the next line restarts using the correct interpreter \
> if   test ! -z "$DISPLAY"; then exec wish "$0" "$0" "$@"; \
> elif test ! -z "$1";       then exec tclsh "$0" "$0" "$@"; fi; \
> else                            echo "usage: $0 filename" >&2; exit 1; fi
> 
> it just ignores it and keeps running /bin/sh on the rest of the file.
> 
> the thing going on in these five lines is this: the bourne shell (/bin/sh)
> doesn't "do" multi-line comments, but tcl does. what this means is that you
> can have the same file containing both shell and tcl commands.
> 
> when /bin/sh reads the file, it does the "if" which results in either an
> "exec" or an "exit"
> 
> when tcl reads the file, it skips the 3-line "if" because it's all one
> comment.
> 
> 
> so, there are two ways to approach this:
> 
> the "right" way is to ask "what /bin/sh & os are you running" because
> whatever it is, it's wrong...
> 
> the "wrong" way is for you to write your own script, say "xml2html.sh" that
> looks like this:
> 
>     #!/bin/sh
>     exec tclsh .../xml2rfc.tcl xml2html "$@"
> 
> i'd go with the "wrong" way since it should work okay.
> 
> /mtr
> 
> 

From: [email-masked] (Marshall Rose)
Date: Fri, 31 May 2002 14:24:42 -0700
Subject: [xml2rfc] working on a remote server
References: <[email-masked]>
Message-ID: <008501c208e9$980b8850$a100000a@easyinc>

> I've got #!/bin/sh -- does this need to point to something else? How do I
> determine where my TCL interpreter lives?

my bad. it should run unaltered on your unix system (so starting with "#!"
is just fine).

the question is why your shell sees this:

#!/bin/sh
# the next line restarts using the correct interpreter \
if   test ! -z "$DISPLAY"; then exec wish "$0" "$0" "$@"; \
elif test ! -z "$1";       then exec tclsh "$0" "$0" "$@"; fi; \
else                            echo "usage: $0 filename" >&2; exit 1; fi

it just ignores it and keeps running /bin/sh on the rest of the file.

the thing going on in these five lines is this: the bourne shell (/bin/sh)
doesn't "do" multi-line comments, but tcl does. what this means is that you
can have the same file containing both shell and tcl commands.

when /bin/sh reads the file, it does the "if" which results in either an
"exec" or an "exit"

when tcl reads the file, it skips the 3-line "if" because it's all one
comment.

so, there are two ways to approach this:

the "right" way is to ask "what /bin/sh & os are you running" because
whatever it is, it's wrong...

the "wrong" way is for you to write your own script, say "xml2html.sh" that
looks like this:

    #!/bin/sh
    exec tclsh .../xml2rfc.tcl xml2html "$@"

i'd go with the "wrong" way since it should work okay.

/mtr

From: [email-masked] (Peter Saint-Andre)
Date: Fri, 31 May 2002 15:43:50 -0500 (CDT)
Subject: [xml2rfc] working on a remote server
In-Reply-To: <002501c208e0$afbad9f0$a100000a@easyinc>
Message-ID: <[email-masked]>

> in general, this looks like that your shell isn't running tcl to interpret
> the script, instead it's running the bourne shell.

I've got #!/bin/sh -- does this need to point to something else? How do I
determine where my TCL interpreter lives?

> i frequently do things like
> 
>     % ~/bin/xml2rfc.tcl foo.xml
>     % ~/bin/xml2rfc.tcl /bar/foo.xml foo.html

looks beautiful, hopefully i'll get to that point :)

> also, what version of xml2rfc are you running?

just pulled it off the website, so xml2rfc-1.12

also i have tcl8.2, but files convert fine in tclsh

thanks!

/stpeter

From: [email-masked] (Marshall Rose)
Date: Fri, 31 May 2002 13:20:56 -0700
Subject: [xml2rfc] working on a remote server
References: <[email-masked]>
Message-ID: <002501c208e0$afbad9f0$a100000a@easyinc>

> Ideally I'd write a shell script to handle all this, but I don't see a way
> to run xml2rfc.tcl from the command line. I followed the instructions at
> http://xml.resource.org/pipermail/xml2rfc/2001-November/000067.html but I
> get errors:
>
> ~/cvs/ietf$ ./xml2html draft-saintandre-jabber-core-00.xml
> ./xml2html: package: command not found
> ...

in general, this looks like that your shell isn't running tcl to interpret
the script, instead it's running the bourne shell.

the thing to do is to take a look at xml2rfc.tcl using vi (so you can see
funny characters, e.g., CTRL-M on UNIX).

what you want to make sure is that: first, there aren't any funny
characters; and, second, that the string that follows the "#!" refers to
where your tcl interpreter is.

i frequently do things like

    % ~/bin/xml2rfc.tcl foo.xml
    % ~/bin/xml2rfc.tcl /bar/foo.xml foo.html

etc., and the shell knows to invoke the tcl interpreter to do all the heavy
lifting.

also, what version of xml2rfc are you running?

/mtr

From: [email-masked] (Peter Saint-Andre)
Date: Fri, 31 May 2002 15:11:35 -0500 (CDT)
Subject: [xml2rfc] working on a remote server
Message-ID: <[email-masked]>

First off, thanks for xml2rfc, it makes my life much easier!

Here's my story. I edit my Internet-Drafts on a remote server with no
windowing system. The working directory for my I-Ds is actually a CVS
directory because I have my docs under source control. I have copied
xml2rfc.tcl into ~/cvs/ietf/ but I would like the output files to go into
a different directory so that I can view them via the web without exiting
tclsh and copying the output file to another directory. What do I need to
change in xml2rfc.tcl to do this? Can I modify dirname?

Ideally I'd write a shell script to handle all this, but I don't see a way
to run xml2rfc.tcl from the command line. I followed the instructions at
http://xml.resource.org/pipermail/xml2rfc/2001-November/000067.html but I
get errors:

~/cvs/ietf$ ./xml2html draft-saintandre-jabber-core-00.xml
./xml2html: package: command not found
./xml2html: namespace: command not found
./xml2html: namespace: command not found
./xml2html: namespace: command not found
./xml2html: proc: command not found
./xml2html: return: bad non-numeric arg `\[\]'
./xml2html: return: can only `return' from a function or sourced script
./xml2html: line 70: syntax error near unexpected token `}'
./xml2html: line 70: `    }'

Any suggestions?

Thanks!

Peter

--
Peter Saint-Andre
Jabber Software Foundation
http://www.jabber.org/people/stpeter.html

From: [email-masked] (Doug Royer)
Date: Thu, 30 May 2002 09:45:37 -0600
Subject: [xml2rfc] proposed enhancements
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

This is a cryptographically signed message in MIME format.

--------------msCD014A4CE0152413C5A3F622
Content-Type: multipart/mixed;
 boundary="------------7F1D9E9F410F60E2342EBF71"

This is a multi-part message in MIME format.
--------------7F1D9E9F410F60E2342EBF71
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Marshall Rose wrote:
> 
> > Your can ALSO release a PostScript (and PDF?) RFC. As long
> > as the PostScript version and text version have exactly the
> > same information. With of course the PostScript version looking
> > better. So, why not allow images in the HTML version?
> 
> because the text version is required to be definitive...

I agree that the text version *is* the authoritative version.

But how does that negate having non-stick images in PostScript,
PDF, and HTML? If no one wants to do that work - then okay.
But per RFC guidelines, you can do that in PostScript and
release the PostScript version (with its pretty images) at
the same time as the authoritative and equivalent text version.
--------------7F1D9E9F410F60E2342EBF71
Content-Type: text/x-vcard; charset=us-ascii;
 name="Doug.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Doug Royer
Content-Disposition: attachment;
 filename="Doug.vcf"

begin:vcard 
n:Royer;Doug
tel;pager:[email-masked]
tel;cell:208-520-4044
tel;fax:866-594-8574
tel;work:866-594-8574
x-mozilla-html:FALSE
url:http://Royer.com/People/Doug
org:INET-Consulting LLC <http://INET-Consulting.com>
adr:;;1795 W. Broadway #266;Idaho Falls;Idaho;83402;U.S.A.
version:2.1
email;internet:[email-masked]
title:Chief Executive Manager
x-mozilla-cpt:;-29152
fn:Doug Royer
end:vcard

--------------7F1D9E9F410F60E2342EBF71--

--------------msCD014A4CE0152413C5A3F622
Content-Type: application/x-pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
Content-Description: S/MIME Cryptographic Signature

--------------msCD014A4CE0152413C5A3F622--

From: [email-masked] (Marco Molteni)
Date: Thu, 30 May 2002 09:39:45 +0200
Subject: [xml2rfc] THANKS for xml2rfc :-)
Message-ID: <[email-masked]>

Hi all,

I am writing my first draft. Being a Unix fanatic, I tried with the
nroff machinery, then some friends suggested xml2rfc... and everything
looked sweet.

I really want to thank Marshall Rose for giving away this tool. If we
meet somewhere, a beer is waiting for you :-)

Marco Molteni

From: [email-masked] (Marshall Rose)
Date: Wed, 29 May 2002 23:29:39 -0700
Subject: [xml2rfc] proposed enhancements
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> Given:
> 
>   As explained in <xref target="sec"/>, the host MUST ...
> 
> Currently I get:
> 
>   As explained in "Security Considerations", the host MUST ...
> 
> I'd like a processing option to generate:
> 
>   As explain in Section 4.1 the host MUST ...
> 
> and have the tool handle the numbering automatically for me.
> 
> (I agree that the former is nicer to read, but in long docs, with long
> section headings, a section number makes things easier to find.)
> 
> Make sense?

err, no.

are we talking about text or html output?

input                             text output           html output
-----                             -----------           -----------
<xref target='foo'/>              Section 1.2           <a ...>foo's-title</a>
<xref target='foo>bar</xref>      bar (Section 1.2)     <a ...>bar</a>
    
in other words, you don't get numbers in the html output, nor do you
need them, because you get links. you always get numbers in the txt
output.
    
/mtr

ps: please subscribe to the mailing list...there is so much Klez going around that legitimate messages from non-subscribers often get stepped on by the mailing list filter.

From: [email-masked] (Marshall Rose)
Date: Wed, 29 May 2002 18:15:42 -0700
Subject: [xml2rfc] proposed enhancements
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> Your can ALSO release a PostScript (and PDF?) RFC. As long
> as the PostScript version and text version have exactly the
> same information. With of course the PostScript version looking
> better. So, why not allow images in the HTML version?

because the text version is required to be definitive...

/mtr

From: [email-masked] (Rohan Mahy)
Date: Wed, 29 May 2002 15:41:28 -0700 (Pacific Daylight Time)
Subject: [xml2rfc] proposed enhancements
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

On Wed, 29 May 2002, Marshall Rose wrote:

> > 1) internal cross references using xref always display the section
> > heading which can be verbose.  It would be nice to have an option to use
> > the section number instead.  Perhaps this could be an xref attribute,
> > something like...  <xref target="iana" style="number">
>
> if you use <xref target='...'>text</xref>, doesn't the "right" thing happen?
>
> /mtr

Hi,

Given:

  As explained in <xref target="sec"/>, the host MUST ...

Currently I get:

  As explained in "Security Considerations", the host MUST ...

I'd like a processing option to generate:

  As explain in Section 4.1 the host MUST ...

and have the tool handle the numbering automatically for me.

(I agree that the former is nicer to read, but in long docs, with long
section headings, a section number makes things easier to find.)

Make sense?

thanks,
-rohan

From: [email-masked] (Rohan Mahy)
Date: Wed, 29 May 2002 15:28:05 -0700 (Pacific Daylight Time)
Subject: [xml2rfc] proposed enhancements
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

On Wed, 29 May 2002, Julian Reschke wrote:

> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Rohan Mahy
> > Sent: Wednesday, May 29, 2002 5:40 PM
> > To: [email-masked]
> > Subject: [xml2rfc] proposed enhancements
> >
> >
> > Hi,
> >
> > I think the xml2rfc is excellent.  I have some proposed enhancements for
> > future versions.  Please accept my apologies from any duplicate
> > suggestions.
> >
> > 1) internal cross references using xref always display the section
> > heading which can be verbose.  It would be nice to have an option to use
> > the section number instead.  Perhaps this could be an xref attribute,
> > something like...  <xref target="iana" style="number">

you didn't comment on this one.  is this now soemwhere on the
"nice-to-have" list?

> > 2) external cross references currently use the [1] notation.  I imagine
> > that folks working in the security area especially would appreciate the
> > option to generate references using the reference convention of the crypto
> > community [Bra98].  Likewise I imagine this could be an xref attribute...
> > <xref target="RFC2119" style="name">
>
> That's available as xmlrfc processing instruction.

ok, it was not immediately clear from the description that the symrefs
instruction did that.

> > 3) It would be really nice to be able to include images as alternates to
> > ASCII artwork when generating the HTML version.  This is the only
> > compelling reason to still generate a postscript or PDF version of a doc.
> >
> > 	<figure><artwork alt="./images/figure4.png">
> > 	... begin ASCII art from hell....
> > 	</artwork></figure>
>
> How do you get them into an RFC (which as ASCII by definition).

you use it for internet drafts which you can submit in multiple formats.

when generating nroff or text you display the ascii artwork; when
generating the html you display the alternate content instead.

the SIP specification, for example, has line drawings in the PDF and
postscript versions and comparable ASCII art in the (normative) text
version.  People refer to the text version for reference, but they always
use the PDF version for their first read through.

> > 4) when there are more than two or three authors, the footer displays:
> >
> > 	Firstauthor, et al.
> >
> > sometimes it would be nice to have a more descriptive footer (like "The
> > FOOBAR WG Chairs", or "The IAB", or whatever.)
>
> The format for the footer is defined by the RFC editor.

see (for example) the footer in RFC2804 "IAB & IESG"

> > 5) generating PDF automatically of the HTML version would be lovely...
>
> I'm working on that.

excellent

thanks,
-rohan

From: [email-masked] (Marshall Rose)
Date: Wed, 29 May 2002 14:27:34 -0700
Subject: [xml2rfc] proposed enhancements
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> 1) internal cross references using xref always display the section
> heading which can be verbose.  It would be nice to have an option to use
> the section number instead.  Perhaps this could be an xref attribute,
> something like...  <xref target="iana" style="number">

if you use <xref target='...'>text</xref>, doesn't the "right" thing happen?

/mtr

From: [email-masked] (Doug Royer)
Date: Wed, 29 May 2002 15:22:19 -0600
Subject: [xml2rfc] proposed enhancements
References: <[email-masked]>
Message-ID: <[email-masked]>

This is a cryptographically signed message in MIME format.

--------------msBCABF47100E27DE69B7829C6
Content-Type: multipart/mixed;
 boundary="------------9ED60AA63EAAC5CD45487A41"

This is a multi-part message in MIME format.
--------------9ED60AA63EAAC5CD45487A41
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Julian Reschke wrote:

> 
> > 3) It would be really nice to be able to include images as alternates to
> > ASCII artwork when generating the HTML version.  This is the only
> > compelling reason to still generate a postscript or PDF version of a doc.
> >
> >       <figure><artwork alt="./images/figure4.png">
> >       ... begin ASCII art from hell....
> >       </artwork></figure>
> 
> How do you get them into an RFC (which as ASCII by definition).

Your can ALSO release a PostScript (and PDF?) RFC. As long
as the PostScript version and text version have exactly the
same information. With of course the PostScript version looking
better. So, why not allow images in the HTML version?

> > 4) when there are more than two or three authors, the footer displays:
> >
> >       Firstauthor, et al.
> >
> > sometimes it would be nice to have a more descriptive footer (like "The
> > FOOBAR WG Chairs", or "The IAB", or whatever.)
> 
> The format for the footer is defined by the RFC editor.

I do not think it is not a forced issue - as long as it fits
you can have multiple. Even the newest ID-proposal does not force
one author on the footer.
--------------9ED60AA63EAAC5CD45487A41
Content-Type: text/x-vcard; charset=us-ascii;
 name="Doug.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Doug Royer
Content-Disposition: attachment;
 filename="Doug.vcf"

begin:vcard 
n:Royer;Doug
tel;pager:[email-masked]
tel;cell:208-520-4044
tel;fax:866-594-8574
tel;work:866-594-8574
x-mozilla-html:FALSE
url:http://Royer.com/People/Doug
org:INET-Consulting LLC <http://INET-Consulting.com>
adr:;;1795 W. Broadway #266;Idaho Falls;Idaho;83402;U.S.A.
version:2.1
email;internet:[email-masked]
title:Chief Executive Manager
x-mozilla-cpt:;-29152
fn:Doug Royer
end:vcard

--------------9ED60AA63EAAC5CD45487A41--

--------------msBCABF47100E27DE69B7829C6
Content-Type: application/x-pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
Content-Description: S/MIME Cryptographic Signature

--------------msBCABF47100E27DE69B7829C6--

From: [email-masked] (Julian Reschke)
Date: Wed, 29 May 2002 22:47:06 +0200
Subject: [xml2rfc] proposed enhancements
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Rohan Mahy
> Sent: Wednesday, May 29, 2002 5:40 PM
> To: [email-masked]
> Subject: [xml2rfc] proposed enhancements
>
>
> Hi,
>
> I think the xml2rfc is excellent.  I have some proposed enhancements for
> future versions.  Please accept my apologies from any duplicate
> suggestions.
>
> 1) internal cross references using xref always display the section
> heading which can be verbose.  It would be nice to have an option to use
> the section number instead.  Perhaps this could be an xref attribute,
> something like...  <xref target="iana" style="number">
>
> 2) external cross references currently use the [1] notation.  I imagine
> that folks working in the security area especially would appreciate the
> option to generate references using the reference convention of the crypto
> community [Bra98].  Likewise I imagine this could be an xref attribute...
> <xref target="RFC2119" style="name">

Thet's available as xmlrfc processing instruction.

> 3) It would be really nice to be able to include images as alternates to
> ASCII artwork when generating the HTML version.  This is the only
> compelling reason to still generate a postscript or PDF version of a doc.
>
> 	<figure><artwork alt="./images/figure4.png">
> 	... begin ASCII art from hell....
> 	</artwork></figure>

How do you get them into an RFC (which as ASCII by definition).

> 4) when there are more than two or three authors, the footer displays:
>
> 	Firstauthor, et al.
>
> sometimes it would be nice to have a more descriptive footer (like "The
> FOOBAR WG Chairs", or "The IAB", or whatever.)

The format for the footer is defined by the RFC editor.

> 5) generating PDF automatically of the HTML version would be lovely...

I'm working on that.

From: [email-masked] (Rohan Mahy)
Date: Wed, 29 May 2002 08:40:17 -0700 (Pacific Daylight Time)
Subject: [xml2rfc] proposed enhancements
Message-ID: <[email-masked]>

Hi,

I think the xml2rfc is excellent.  I have some proposed enhancements for
future versions.  Please accept my apologies from any duplicate
suggestions.

1) internal cross references using xref always display the section
heading which can be verbose.  It would be nice to have an option to use
the section number instead.  Perhaps this could be an xref attribute,
something like...  <xref target="iana" style="number">

2) external cross references currently use the [1] notation.  I imagine
that folks working in the security area especially would appreciate the
option to generate references using the reference convention of the crypto
community [Bra98].  Likewise I imagine this could be an xref attribute...
<xref target="RFC2119" style="name">

3) It would be really nice to be able to include images as alternates to
ASCII artwork when generating the HTML version.  This is the only
compelling reason to still generate a postscript or PDF version of a doc.

	<figure><artwork alt="./images/figure4.png">
	... begin ASCII art from hell....
	</artwork></figure>

4) when there are more than two or three authors, the footer displays:

	Firstauthor, et al.

sometimes it would be nice to have a more descriptive footer (like "The
FOOBAR WG Chairs", or "The IAB", or whatever.)

5) generating PDF automatically of the HTML version would be lovely...

thanks,
-rohan

From: [email-masked] (Michael Richardson)
Date: Mon, 20 May 2002 17:30:20 -0400
Subject: [xml2rfc] Normative and NON-Normative references
In-Reply-To: Your message of "Fri, 17 May 2002 10:13:00 CDT." <[email-masked]>
Message-ID: <[email-masked]>

>>>>> "Randall" == Randall Stewart <[email-masked]> writes:
    Randall> Normally when I write an RFC I make

    Randall> X References

    Randall> X.1 Normative References

    Randall> X.2 Non Normative References

  I asked some weeks ago...

<references title="Normative references">
...
</references>
<references title="Non-Normative references">
...
</references>

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another NetBSD/notebook using, kernel hacking, security guy");  [

From: [email-masked] (Marshall Rose)
Date: Fri, 17 May 2002 10:17:24 -0700
Subject: [xml2rfc] Normative and NON-Normative references
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

>
> Normally when I write an RFC I make
> 
> X References
> 
> X.1 Normative References
> 
> X.2 Non Normative References
> 
> 
> Or something like that..
> 
> So what is the proper way to do this with the xml tool? I don't
> see anything in the RFC about it... 
> 
> Help would be appreciated

try this:

    <back>
    <references title='Normative References'>
        ...
    </references>
    <references title='Non-normative References'>
        ...
    </references>
    </back>
        
/mtr

From: [email-masked] (Randall Stewart)
Date: Fri, 17 May 2002 10:13:00 -0500
Subject: [xml2rfc] Normative and NON-Normative references
Message-ID: <[email-masked]>

Hi:

I have just starting using xml2rfc and am now happily
in the thick of converting my drafts to xml :>

However I have a stumbling block I just found.. this
may be real obvious.. but I would appreciate help on it.

I have two types of referecnes

Normative
and
Non-Normative.

Normally when I write an RFC I make

X References

X.1 Normative References

X.2 Non Normative References

Or something like that..

So what is the proper way to do this with the xml tool? I don't
see anything in the RFC about it... 

Help would be appreciated

Note: Scott Bradner has told me that the RFC editor is going
      to start requiring this type of break out...

Thanks

R
-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)

From: [email-masked] (Michael Richardson)
Date: Sun, 05 May 2002 22:14:58 -0400
Subject: [xml2rfc] how to control TOC depth
In-Reply-To: Your message of "Tue, 30 Apr 2002 20:08:17 EDT." <[email-masked]>
Message-ID: <[email-masked]>

-----BEGIN PGP SIGNED MESSAGE-----

>>>>> "Michael" == Michael Richardson <[email-masked]> writes:
    Michael> The RFC Editor has asked me:

    >> 2. Shorten the Table of Contents.  It is too detailed for a 50 page
    >> document.  We suggest carrying the TOC 2 levels deep.  Please see
    >> "Table of Contents" section at:
    >> 
    >> http://www.rfc-editor.org/policy.html

    Michael> Is there a way to provide a clue to the output routines how deep
    Michael> to go?

http://www.sandelman.ca/SSW/freeswan/oeid/killtoodeepcontents.pl

fixes the depth being too deep, and replaces the Copyright with the RFC
version. 

I run stuff from Make, as: 

rfc_pg: utils/rfc_pg.c

draft-richardson-ipsec-opportunistic.txt: draft-richardson-ipsec-opportunistic.nr rfc_pg
	perl utils/killtoodeepcontents.pl draft-richardson-ipsec-opportunistic.nr \
	| nroff -ms \
	| sed -e 's/FORMFEED\[Page/        \[Page/' | ./rfc_pg -n5 >draft-richardson-ipsec-opportunistic.txt

draft-richardson-ipsec-opportunistic.nr: src/draft-richardson-ipsec-opportunistic.xml
	XML_LIBRARY=$(XML_LIBRARY):./src xml2rfc xml2nroff $? $@

(where utils/rfc_pg.c is from 2-nroff.template file)

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another NetBSD/notebook using, kernel hacking, security guy");  [

From: [email-masked] (Marshall Rose)
Date: Sun, 5 May 2002 14:48:57 -0700
Subject: [xml2rfc] My first converted RFC (RFC 1) to XML
In-Reply-To: <1020581319.722.3.camel@holyspirit>
References: <1020356320.528.14.camel@holyspirit> <[email-masked]> <1020434619.1491.4.camel@holyspirit> <[email-masked]> <1020581319.722.3.camel@holyspirit>
Message-ID: <[email-masked]>

> By the way, where should I mail to if I want to contribute to the
> archive?

if you want to contribute to the archive, send the .xml to [email-masked].

to see what completed RFCs already exist, go to http://xml.resource.org/public/rfc/xml/

/mtr

From: [email-masked] (Chu Alan)
Date: 05 May 2002 14:55:41 +0800
Subject: [xml2rfc] My first converted RFC (RFC 1) to XML
In-Reply-To: <[email-masked]>
References: <1020434619.1491.4.camel@holyspirit> <[email-masked]>
Message-ID: <1020581741.723.6.camel@holyspirit>

On Sun, 2002-05-05 at 14:01, Fred Baker wrote:
> At 07:26 PM 5/3/2002 +0200, Julian Reschke wrote:
> >I don't think you can just put something under the GPL if all you did was
> >editing the text format... RFC's copyright belongs to IETF.
> 
> yes. I'd suggest that this be run by [email-masked].
> 
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
> 

I feel guilty because of this .... ;(

-- Alan

From: [email-masked] (Chu Alan)
Date: 05 May 2002 14:48:37 +0800
Subject: [xml2rfc] My first converted RFC (RFC 1) to XML
In-Reply-To: <[email-masked]>
References: <1020356320.528.14.camel@holyspirit> <[email-masked]> <1020434619.1491.4.camel@holyspirit> <[email-masked]>
Message-ID: <1020581319.722.3.camel@holyspirit>

On Sat, 2002-05-04 at 00:34, Marshall Rose wrote:
> 
> > would you like to license those XML files under GPL? I have created a
> > project
> > in sourceforge (http://sourceforge.net/projects/xmlrfc/), since they
> > have fine
> > servers ... ^.^
> > 
> > Sorry for not asking this on the mailing list first, because I did not
> > know
> > there is such a mailing list when I for apply the project.
> 
> alan - i don't have a problem in releasing the partial files, but a lot of red flags are raised by the fact that you established a sourceforge project without checking around. enthusiasm is great, but i'm concerned when someone plunges head first into something without doing the most basic research...
> 
> i'll talk to some folks and get back to you.
> 
> /mtr
> 

By the way, where should I mail to if I want to contribute to the
archive?

-- Alan

From: [email-masked] (Chu Alan)
Date: 05 May 2002 14:43:24 +0800
Subject: [xml2rfc] My first converted RFC (RFC 1) to XML
In-Reply-To: <[email-masked]>
References: <1020434619.1491.4.camel@holyspirit> <[email-masked]>
Message-ID: <1020581005.722.1.camel@holyspirit>

On Sun, 2002-05-05 at 14:01, Fred Baker wrote:
> At 07:26 PM 5/3/2002 +0200, Julian Reschke wrote:
> >I don't think you can just put something under the GPL if all you did was
> >editing the text format... RFC's copyright belongs to IETF.
> 
> yes. I'd suggest that this be run by [email-masked].
> 
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
> 

oops ... I have missed out this point ... *sigh* ...

-- Alan

From: [email-masked] (Fred Baker)
Date: Sat, 04 May 2002 23:01:57 -0700
Subject: [xml2rfc] My first converted RFC (RFC 1) to XML
In-Reply-To: <[email-masked]>
References: <1020434619.1491.4.camel@holyspirit>
Message-ID: <[email-masked]>

At 07:26 PM 5/3/2002 +0200, Julian Reschke wrote:
>I don't think you can just put something under the GPL if all you did was
>editing the text format... RFC's copyright belongs to IETF.

yes. I'd suggest that this be run by [email-masked].

From: [email-masked] (Julian Reschke)
Date: Fri, 3 May 2002 19:26:14 +0200
Subject: [xml2rfc] My first converted RFC (RFC 1) to XML
In-Reply-To: <1020434619.1491.4.camel@holyspirit>
Message-ID: <[email-masked]>

> would you like to license those XML files under GPL? I have created a
> project
> in sourceforge (http://sourceforge.net/projects/xmlrfc/), since they
> have fine
> servers ... ^.^

I don't think you can just put something under the GPL if all you did was
editing the text format... RFC's copyright belongs to IETF.

From: [email-masked] (Chu Alan)
Date: 04 May 2002 00:55:51 +0800
Subject: [xml2rfc] My first converted RFC (RFC 1) to XML
In-Reply-To: <[email-masked]>
References: <1020356320.528.14.camel@holyspirit> <[email-masked]> <1020434619.1491.4.camel@holyspirit> <[email-masked]>
Message-ID: <1020444951.1490.13.camel@holyspirit>

On Sat, 2002-05-04 at 00:34, Marshall Rose wrote:
> 
> > would you like to license those XML files under GPL? I have created a
> > project
> > in sourceforge (http://sourceforge.net/projects/xmlrfc/), since they
> > have fine
> > servers ... ^.^
> > 
> > Sorry for not asking this on the mailing list first, because I did not
> > know
> > there is such a mailing list when I for apply the project.
> 
> alan - i don't have a problem in releasing the partial files, but a lot of red flags are raised by the fact that you established a sourceforge project without checking around. enthusiasm is great, but i'm concerned when someone plunges head first into something without doing the most basic research...
> 
> i'll talk to some folks and get back to you.
> 
> /mtr
> 

In fact I have searched on google for a few days, however somehow I did
not 
managed found this mailing list ... 

I apologize for not asking before hand. :)

P.S. oh, by the way, did <list> has style="alphabets" or style="letters"
to generates list with a, b, c ... ?

-- Alan

From: [email-masked] (Marshall Rose)
Date: Fri, 3 May 2002 09:34:27 -0700
Subject: [xml2rfc] My first converted RFC (RFC 1) to XML
In-Reply-To: <1020434619.1491.4.camel@holyspirit>
References: <1020356320.528.14.camel@holyspirit> <[email-masked]> <1020434619.1491.4.camel@holyspirit>
Message-ID: <[email-masked]>

> would you like to license those XML files under GPL? I have created a
> project
> in sourceforge (http://sourceforge.net/projects/xmlrfc/), since they
> have fine
> servers ... ^.^
> 
> Sorry for not asking this on the mailing list first, because I did not
> know
> there is such a mailing list when I for apply the project.

alan - i don't have a problem in releasing the partial files, but a lot of red flags are raised by the fact that you established a sourceforge project without checking around. enthusiasm is great, but i'm concerned when someone plunges head first into something without doing the most basic research...

i'll talk to some folks and get back to you.

/mtr

From: [email-masked] (Chu Alan)
Date: 03 May 2002 22:03:38 +0800
Subject: [xml2rfc] My first converted RFC (RFC 1) to XML
In-Reply-To: <[email-masked]>
References: <1020356320.528.14.camel@holyspirit> <[email-masked]>
Message-ID: <1020434619.1491.4.camel@holyspirit>

On Fri, 2002-05-03 at 16:00, Marshall Rose wrote:
> > Hello, this is my first time to post here ;)
> > 
> > First of all, I want to thanks for the exceptionally good RFC.
> > 
> > Here is my finished RFC 1.
> > http://html.uhome.net/rfc1/rfc1.xml
> > 
> > Any comment?
> 
> thanks. if you'd like to make a habit of this, if you go to http://xml.resource.org/public/rfc/xml/, you'll find a small number of RFCs that folks have already put into XML format. feel free to contribute new ones!
> 
> if you're interested, i can provide you with "starter XML" for the ones not already there. these starter files usually have the front and back matter done. all that's missing is the middle!
> 
> /mtr
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
> 

would you like to license those XML files under GPL? I have created a
project
in sourceforge (http://sourceforge.net/projects/xmlrfc/), since they
have fine
servers ... ^.^

Sorry for not asking this on the mailing list first, because I did not
know
there is such a mailing list when I for apply the project.

-- Alan

From: [email-masked] (Marshall Rose)
Date: Fri, 3 May 2002 01:00:12 -0700
Subject: [xml2rfc] My first converted RFC (RFC 1) to XML
In-Reply-To: <1020356320.528.14.camel@holyspirit>
References: <1020356320.528.14.camel@holyspirit>
Message-ID: <[email-masked]>

> Hello, this is my first time to post here ;)
> 
> First of all, I want to thanks for the exceptionally good RFC.
> 
> Here is my finished RFC 1.
> http://html.uhome.net/rfc1/rfc1.xml
> 
> Any comment?

thanks. if you'd like to make a habit of this, if you go to http://xml.resource.org/public/rfc/xml/, you'll find a small number of RFCs that folks have already put into XML format. feel free to contribute new ones!

if you're interested, i can provide you with "starter XML" for the ones not already there. these starter files usually have the front and back matter done. all that's missing is the middle!

/mtr

From: [email-masked] (Chu Alan)
Date: 03 May 2002 00:18:40 +0800
Subject: [xml2rfc] My first converted RFC (RFC 1) to XML
Message-ID: <1020356320.528.14.camel@holyspirit>

Hello, this is my first time to post here ;)

First of all, I want to thanks for the exceptionally good RFC.

Here is my finished RFC 1.
http://html.uhome.net/rfc1/rfc1.xml

Any comment?

-- Alan

From: [email-masked] (Michael Richardson)
Date: Wed, 01 May 2002 17:31:38 -0400
Subject: [xml2rfc] bibtex reference for RFCs
Message-ID: <[email-masked]>

-----BEGIN PGP SIGNED MESSAGE-----

  Now that we have this wonderful bibliography in XML of RFCs on
xml.resource.org, it seems that it should be trivial to convert to other
formats - bibtex for instance.  A trivial search revealed some targets:
  
  http://liinwww.ira.uka.de/bibliography/Distributed/rfc.html points to
    ftp://ftp.math.utah.edu/pub/tex/bib/rfc.bib

  which no longer accepts anon-ftp, but:
    http://www.math.utah.edu:8080/pub/tex/bib/rfc.html

  which is HTML-ized, but, a bit of deduction on the above gets me:
    http://www.math.utah.edu:8080/pub/tex/bib/rfc.bib

  as the raw file, but whose last entry is 2520.

  Other hits, include a question in 1990 from someone looking for such an
repository...

  And then there is RFC1807, which defines another format.
  And...  http://www.cc.gatech.edu/classes/RWL/Projects/citation/Docs/Marketing/fall98.nathan.results/bp.html

  which suggests that it is a program written in Perl to convert from
different formats, but no link to the program itself.

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another NetBSD/notebook using, kernel hacking, security guy");  [

From: [email-masked] (Marshall Rose)
Date: Wed, 1 May 2002 11:25:10 -0700
Subject: [xml2rfc] how to control TOC depth
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> >2. Shorten the Table of Contents.  It is too detailed for a 50 page
> >document.  We suggest carrying the TOC 2 levels deep.  Please see
> >"Table of Contents" section at:
> >
> >   http://www.rfc-editor.org/policy.html
> 
>   Is there a way to provide a clue to the output routines how deep to go?

no. i can add something in the next release. for now, just edit the nroff file that you're giving the rfc editor.

>   In addition, it appears that there may be two reference sections required
> according to this new policy.
> 
>   A standard way to mark a reference as normative or informative may be required.

the <references/> element has an optional title attribute and can occur more than once. what folks normally do is:

	<references>
	...
	</references>
	<references title='Non-normative References'>
	...
	</references>

/mtr

From: [email-masked] (Michael Richardson)
Date: Tue, 30 Apr 2002 20:08:17 -0400
Subject: [xml2rfc] how to control TOC depth
Message-ID: <[email-masked]>

-----BEGIN PGP SIGNED MESSAGE-----

  The RFC Editor has asked me:

>2. Shorten the Table of Contents.  It is too detailed for a 50 page
>document.  We suggest carrying the TOC 2 levels deep.  Please see
>"Table of Contents" section at:
>
>   http://www.rfc-editor.org/policy.html

  Is there a way to provide a clue to the output routines how deep to go?

  In addition, it appears that there may be two reference sections required
according to this new policy.

  A standard way to mark a reference as normative or informative may be required.

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another NetBSD/notebook using, kernel hacking, security guy");  [